#if !defined(AFX_NODEDATAVALUEFILEVIEW_H__38050515_782B_11D3_9C1F_00609712FBEF__INCLUDED_)
#define AFX_NODEDATAVALUEFILEVIEW_H__38050515_782B_11D3_9C1F_00609712FBEF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// NodeDataValueFileView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CNodeDataValueFileView view

class CNodeDataValueFileView : public CTreeView
{
protected:
	CNodeDataValueFileView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CNodeDataValueFileView)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNodeDataValueFileView)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HTREEITEM m_hBoldItem;
	int ExpandAll(HTREEITEM);
	virtual ~CNodeDataValueFileView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CNodeDataValueFileView)
	afx_msg void OnExpandall();
	afx_msg void OnItemexpanding(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelchanged(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnItemexpanded(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnRclick(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnViewEditkey();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NODEDATAVALUEFILEVIEW_H__38050515_782B_11D3_9C1F_00609712FBEF__INCLUDED_)
